Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
AlBook AND iBook G4 Sleep patch released!
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, 4  
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC
View previous topic :: View next topic  
Author Message
JoseJX
Retired Dev
Retired Dev


Joined: 28 Apr 2002
Posts: 2774

PostPosted: Tue Apr 12, 2005 10:34 pm    Post subject: Reply with quote

This error is caused by a toolchain error and the HIGHMEM option. If you disable this option, it will compile fine. I haven't heard of a good workaround if HIGHMEM is required.
Back to top
View user's profile Send private message
xavier10
Guru
Guru


Joined: 19 Jan 2004
Posts: 449
Location: Paris, France

PostPosted: Wed Apr 13, 2005 9:39 am    Post subject: Reply with quote

Thanks for the hint, I will try.

However, I have 2Gb of RAM and do not want my kernel to recognize only part of it. Would this not be the purpose of the HIGHMEM option ? :cry:
Back to top
View user's profile Send private message
Hippi@Bacarni
n00b
n00b


Joined: 08 Mar 2004
Posts: 53
Location: Hannover, DE

PostPosted: Wed Apr 13, 2005 5:00 pm    Post subject: Reply with quote

xavier10 wrote:

However, I have 2Gb of RAM and do not want my kernel to recognize only part of it. Would this not be the purpose of the HIGHMEM option ? :cry:


I have 1Gb of RAM and he recognizes 768Mb. I have HighMem disabled in my kernel because of the known reason. I would also know, if there is a solution.
Back to top
View user's profile Send private message
gringo
Advocate
Advocate


Joined: 27 Apr 2003
Posts: 3793

PostPosted: Wed Apr 13, 2005 5:37 pm    Post subject: Reply with quote

Quote:
I have HighMem disabled in my kernel because of the known reason. I would also know, if there is a solution.


yes, i think there is :D

Download this patch wich should aplly cleanly on top of 2.6.11. A new option "1Gb Low Memory Support" will appear in your kernel conf ;)

cheers
_________________
Error: Failing not supported by current locale
Back to top
View user's profile Send private message
zeekec
n00b
n00b


Joined: 24 Feb 2004
Posts: 56
Location: Athens, GA, USA

PostPosted: Wed Apr 13, 2005 5:45 pm    Post subject: Reply with quote

Hippi@Bacarni wrote:
xavier10 wrote:

However, I have 2Gb of RAM and do not want my kernel to recognize only part of it. Would this not be the purpose of the HIGHMEM option ? :cry:


I have 1Gb of RAM and he recognizes 768Mb. I have HighMem disabled in my kernel because of the known reason. I would also know, if there is a solution.


My understanding was that "HighMem" support wasn't needed on 32bit machines unless there was more than 4GB of ram installed.
_________________
Against stupidity the very gods
Themselves contend in vain.
-Johann Christoph Friedrich von Schiller (1801)
Back to top
View user's profile Send private message
zeekec
n00b
n00b


Joined: 24 Feb 2004
Posts: 56
Location: Athens, GA, USA

PostPosted: Wed Apr 13, 2005 5:49 pm    Post subject: Reply with quote

gringo wrote:
Quote:
I have HighMem disabled in my kernel because of the known reason. I would also know, if there is a solution.


yes, i think there is :D

Download this patch wich should aplly cleanly on top of 2.6.11. A new option "1Gb Low Memory Support" will appear in your kernel conf ;)

cheers


Isn't this patch i386, or at least x86, specific. The only changes are in the asm-i386 section. This shouldn't be included on a PPC machine.
_________________
Against stupidity the very gods
Themselves contend in vain.
-Johann Christoph Friedrich von Schiller (1801)
Back to top
View user's profile Send private message
gringo
Advocate
Advocate


Joined: 27 Apr 2003
Posts: 3793

PostPosted: Wed Apr 13, 2005 5:59 pm    Post subject: Reply with quote

Quote:
The only changes are in the asm-i386 section


yep, youre right, sorry !

cheers
_________________
Error: Failing not supported by current locale
Back to top
View user's profile Send private message
xavier10
Guru
Guru


Joined: 19 Jan 2004
Posts: 449
Location: Paris, France

PostPosted: Wed Apr 13, 2005 8:56 pm    Post subject: Reply with quote

zeekec wrote:

My understanding was that "HighMem" support wasn't needed on 32bit machines unless there was more than 4GB of ram installed.

When I got the laptop one year ago, I had to set this option on to get all my memory supported in the first place... I do not see how to live with less than 1gig now :D
The sleep mode is not worth more than 1 gig less for me...

Bye bye kernel 2.6.11. Waiting the 2.6.12 or 2.6.13 here :evil:
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC All times are GMT
Goto page Previous  1, 2, 3, 4
Page 4 of 4

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum